Skip to main content
GET
Get all maintenance reports

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

Asset provider country code

Required string length: 2
assetProviderCode
string
required

Asset provider code

Required string length: 3
vehicleId
string
required

Vehicle unique identifier

Response

All of the maintenance reports

id
integer<int64>
required

Vehicle maintenance report id

status
enum<string>
required
Available options:
PLANNED,
EXECUTED
ocrStatus
enum<string>
required
Available options:
NOT_STARTED,
MANUAL,
PROCESSING,
PROCESSED,
ERROR
estimationStatus
enum<string>
required
Available options:
NOT_STARTED,
PROCESSING,
PROCESSED,
ERROR
title
string
Example:

"Annual Maintenance Report"

maintenanceDate
string<date>
Example:

"2023-04-08"

mileage
integer

In kilometers

Example:

123456

cost
number<double>

Cost of the maintenance in the local currency

Example:

250.75

currency
string

Currency code of the cost, e.g. EUR, USD

Example:

"EUR"

plannedToDate
string<date>
Example:

"2025-10-17T00:00:00.000Z"

plannedToMileage
integer
blobs
object[]